Bug 241197 - games/pioneer: Update to 20191009
Summary: games/pioneer: Update to 20191009
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-10-11 12:37 UTC by lightside
Modified: 2019-10-15 15:56 UTC (History)
0 users

See Also:


Attachments
Proposed patch (since 512079 revision) (9.67 KB, patch)
2019-10-11 12:37 UTC, lightside
lightside: maintainer-approval+
Details | Diff
Proposed patch with CACHE_ICONS port's option (since 512079 revision) (9.67 KB, patch)
2019-10-14 08:35 UTC, lightside
lightside: maintainer-approval+
Details | Diff
Proposed patch with CACHE_ICONS port's option (since 512079 revision) (9.79 KB, patch)
2019-10-14 08:38 UTC, lightside
lightside: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2019-10-11 12:37:58 UTC
Created attachment 208246 [details]
Proposed patch (since 512079 revision)

Patch to update games/pioneer port from 20190203 to 20191009 version.

Look following links for changes:
https://github.com/pioneerspacesim/pioneer/compare/20190203...20191009
https://github.com/pioneerspacesim/pioneer/blob/20191009/Changelog.txt

- Add BSD2CLAUSE license for LZ4 [1]
- Use cmake build system [2]
- Remove png dependency [3]
- Adjust glu dependency
- Add USES+=gnome and INSTALLS_ICONS=yes [4]
- Remove EXTRA_WARNINGS and MODELCOMPILER port's options
- Adapt some sed patches
- Remove files/buildopts.h
- Add files/patch-src_scenegraph_Serializer.h to possibly fix build on i686 architecture [5]
- Remove PLIST_FILES and DESKTOP_ENTRIES
- Add pkg-plist file

For reference:
1. https://github.com/pioneerspacesim/pioneer/commit/0a83956014f26f77907c1d04bad0e6da63ae3b66
2. https://github.com/pioneerspacesim/pioneer/commit/2e0115a01acad8616cfdcff4ecdc2075a45b1feb
https://github.com/pioneerspacesim/pioneer/commit/6514bc9b5f98a94736c93b9b168cb23e0b3abb0e
3. https://github.com/pioneerspacesim/pioneer/commit/2cb2d2979ecf9dd3fd66ce80bea685ff6a337dba
4. The ports-mgmt/portlint (with using -C option) reported about following warning(s):
WARN: <..>: installing icons, please define INSTALLS_ICONS as appropriate
5. https://github.com/pioneerspacesim/pioneer/issues/4691
https://github.com/pioneerspacesim/pioneer/issues/4691#issuecomment-540114463
Comment 1 Jan Beich freebsd_committer 2019-10-13 16:52:05 UTC
(In reply to lightside from comment #0)
> - Add USES+=gnome and INSTALLS_ICONS=yes [4]

Maybe not a good idea, see review D2907, bug 223498, bug 231122.
Comment 2 lightside 2019-10-14 08:35:36 UTC
Created attachment 208294 [details]
Proposed patch with CACHE_ICONS port's option (since 512079 revision)

(In reply to Jan Beich from comment #1)
> Maybe not a good idea, see review D2907, bug 223498, bug 231122.

This is not a Qt or GTK+ application, but there is installation of icons to ${LOCALBASE}/share/icons/hicolor directory, related to misc/hicolor-icon-theme port, which "provides a shared high-color desktop icon theme shell for use under both KDE and GNOME desktops.". This is understandable, that for Qt/KDE only environment there is not need usage of gtk-update-icon-cache utility (installed by graphics/gtk-update-icon-cache port), but for GTK+ environment this is needed to properly show icon(s) for ${LOCALBASE}/share/applications/net.pioneerspacesim.Pioneer.desktop. Moreover, the INSTALLS_ICONS=yes maybe needed for possibly mixed Qt and GTK+ environment. For example, (independent) usage of x11-fm/caja, which may properly show icon(s) for *.desktop file(s), if their (hicolor) icons was cached with using gtk-update-icon-cache utility. This may lead to some guess about that INSTALLS_ICONS=yes maybe not needed for KDE only ports/applications, but even in this case someone maybe interested to use their hicolor icons for mixed Qt and GTK+ environment.

A possible solution is to provide a choose for user about usage of INSTALLS_ICONS=yes (or gtk-update-icon-cache utility). Otherwise, the ${LOCALBASE}/share/applications/net.pioneerspacesim.Pioneer.desktop may show empty icon for GTK+ environment. If user want to fix this, there is a need for manual usage of gtk-update-icon-cache utilty after (de)installation of games/pioneer port or its (re)installation with using `make INSTALLS_ICONS=yes deinstall install clean` command.

I proposed new patch with CACHE_ICONS port's option. I guess, the committer may decide about whether this port's option should be enabled by default or not.
Comment 3 lightside 2019-10-14 08:38:17 UTC
Created attachment 208295 [details]
Proposed patch with CACHE_ICONS port's option (since 512079 revision)

Attached correct patch.
Comment 4 commit-hook freebsd_committer 2019-10-15 15:53:40 UTC
A commit references this bug:

Author: swills
Date: Tue Oct 15 15:52:59 UTC 2019
New revision: 514541
URL: https://svnweb.freebsd.org/changeset/ports/514541

Log:
  games/pioneer: Update to 20191009

  PR:		241197
  Submitted by:	lightside <lightside@gmx.com> (maintainer)

Changes:
  head/games/pioneer/Makefile
  head/games/pioneer/distinfo
  head/games/pioneer/files/buildopts.h
  head/games/pioneer/files/patch-src_scenegraph_Serializer.h
  head/games/pioneer/pkg-plist
Comment 5 Steve Wills freebsd_committer 2019-10-15 15:56:31 UTC
Committed, thanks!